Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class HibernateDialectDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernateDialectDetectorFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

    public class HibernateDialectDetectorFactoryBean
    extends java.lang.Object

Authors:
  Steven Devijver

Method Summary
`void` | `afterPropertiesSet()`
`java.lang.String` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setDataSource(javax.sql.DataSource dataSource)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setVendorNameDialectMappings(java.util.Properties mappings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public java.lang.String getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setVendorNameDialectMappings

    public void setVendorNameDialectMappings(java.util.Properties mappings)

Groovy Documentation